//
//  VisioPermissionsModal.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 19/05/2025.
//

import SwiftUI

struct VisioPermissionsModal: View {
    var body: some View {
        VStack(spacing: 0) {
            HStack(spacing: 16) {
                SQText("Appels vocaux et vidéo")
                    .sqSize(18)
                    .sqFont(.bold)
                Spacer()
                Image("new")
                SQText("NOUVEAU")
                    .sqSize(9)
                    .sqFont(.bold)
                    .sqColor(.white)
                    .padding(.horizontal, 4)
                    .padding(.vertical, 2)
                    .background {
                        RoundedRectangle(cornerRadius: 4)
                            .fill(Color.sqSemanticRed)
                    }
                Button {
                    
                } label: {
                    SQIcon(.xmark, size: .m, color: .sqNeutral(100))
                }
            }
            .padding()

            Divider()
                .overlay {
                    Color.sqNeutral(20)
                }

            VStack {
                Image("visio_permissions")
                SQText("Nouveau ! Échangez en appel vocal ou vidéo avec les autres utilisateurs, depuis la messagerie, sans avoir à communiquer votre numéro de téléphone !")
                SQButton("Autoriser l'accès au micro") {
                }
                .padding()
            }
            .padding()
        }
    }
}

#Preview {
    EmptyView()
        .sheet(isPresented: .constant(true)) {
        VisioPermissionsModal()
    }
    .presentationDetents([.height(300)])
}
